Liệt kê và lọc tin
curl --request GET \
--url https://business.adflex.vn/api/v1/messages \
--header 'Authorization: Bearer <token>'import requests
url = "https://business.adflex.vn/api/v1/messages"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://business.adflex.vn/api/v1/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"messages": [
{
"msg_id": "m_a1b2c3d4e5f6g7h8",
"tracking_id": "otp-login-8842",
"phone": "<string>",
"carrier": "<string>",
"source": "api",
"template_id": "<string>",
"oa_id": "<string>",
"zalo_msg_id": "<string>",
"error_code": null,
"error_message": "<string>",
"error_reason": "<string>",
"scheduled_at": "2023-11-07T05:31:56Z",
"sent_at": "2023-11-07T05:31:56Z",
"delivered_at": "2023-11-07T05:31:56Z",
"failed_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z"
}
],
"limit": 123,
"offset": 123,
"count": 123
}{
"error": {
"code": 401,
"message": "API key không hợp lệ hoặc đã bị thu hồi"
}
}{
"error": {
"code": 401,
"message": "API key không hợp lệ hoặc đã bị thu hồi"
}
}{
"error": {
"code": 401,
"message": "API key không hợp lệ hoặc đã bị thu hồi"
}
}Tra cứu
Liệt kê và lọc tin
Tin của workspace, mới nhất trước.
Scope: messages:read
GET
/
api
/
v1
/
messages
Liệt kê và lọc tin
Authorizations
bearerAuthapiKeyAuth
Authorization: Bearer ak_live_…
Query Parameters
Khớp chính xác mã đối soát của bạn
Khớp chính xác số đã lưu. Không tìm được tin RSA.
Available options:
queued, sending, sent, delivered, failed Required range:
x <= 200⌘I